"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const base_1 = require("../base");
const run_1 = require("../base/run");
const conf_1 = require("../services/conf");
const sync_1 = require("../services/sync");
const { resolve } = path;
class Install extends run_1.default {
    async run() {
        if (conf_1.default.isApp) {
            const { cwd, localCacheDir } = conf_1.default;
            await sync_1.default.mergePkgJson(resolve(cwd, 'app', 'package.json'), resolve(cwd, localCacheDir, 'package.json'), resolve(localCacheDir));
        }
        await sync_1.default.install();
    }
}
Install.strict = false;
Install.examples = [
    '$ rde install',
];
Install.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Install;
