"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
const debugLib = require("debug");
const readline = require("readline");
class Spinner {
    constructor() {
        this.interval = 150;
        this.frames = [
            ['🌑 ', '🌒 ', '🌓 ', '🌔 ', '🌕 ', '🌖 ', '🌗 ', '🌘 '],
            ['🙈 ', '🙈 ', '🙉 ', '🙊 '],
            ['.  ', '.. ', '...', ' ..', '  .', '   '],
            ['[    ]', '[=   ]', '[==  ]', '[=== ]', '[ ===]', '[  ==]', '[   =]', '[    ]',
                '[   =]', '[  ==]', '[ ===]', '[====]', '[=== ]', '[==  ]', '[=   ]'],
            ['🌲', '🎄'],
            ['⠋', '⠙', '⠹', '⠸', '⠼', '⠴', '⠦', '⠧', '⠇', '⠏'],
        ];
        this.logger = null;
        this.timerId = null;
        this.counter = 0;
        this.firstTime = true;
        this.logger = null;
        this.timerId = null;
        this.counter = 0;
        this.firstTime = true;
    }
    start(message) {
        const index = Math.floor(Math.random() * this.frames.length);
        const frames = this.frames[index];
        this.timerId = setInterval(() => {
            this.counter = this.counter % (frames.length);
            readline.moveCursor(process.stdout, 0, this.firstTime ? 0 : -1);
            readline.clearLine(process.stdout, 0);
            readline.cursorTo(process.stdout, 0);
            process.stdout.write(`[RDE] › ${chalk.blue('awaiting')} ${message} ${frames[this.counter]} \n`);
            this.firstTime = false;
            this.counter++;
        }, this.interval);
    }
    stop() {
        clearInterval(this.timerId);
    }
}
exports.debug = debugLib('rde');
exports.logger = {
    info(message) {
        process.stdout.write(`[RDE] › ${chalk.blue('info')} ${message} \n`);
    },
    log(message) {
        process.stdout.write(`[RDE] › ${chalk.blue('info')} ${message} \n`);
    },
    error(message) {
        process.stdout.write(`[RDE] › ${chalk.red('error')} ${message} \n`);
    },
    warn(message) {
        process.stdout.write(`[RDE] › ${chalk.yellow('warn')} ${message} \n`);
    }
};
// only for async function
function log(message) {
    return (_t, _p, descriptor) => {
        const origin = descriptor.value;
        if (typeof origin !== 'function') {
            return;
        }
        descriptor.value = async function (...args) {
            const spinner = new Spinner();
            spinner.start(message);
            const result = await origin.apply(this, args);
            spinner.stop();
            return result;
        };
        return descriptor;
    };
}
exports.default = log;
