"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const logger_1 = require("./logger");
exports.default = {
    async install({ pkgs = [], isGlobal = false, isDevDep = true, dir = process.cwd(), }) {
        if (pkgs && pkgs.length) {
            const args = ['i', ...pkgs];
            if (isGlobal) {
                args.push('-g');
            }
            if (isDevDep) {
                args.push('-D');
            }
            logger_1.debug(`cwd: ${dir}`);
            logger_1.debug(`npm ${args.join(' ')}`);
            await util_1.default.asyncSpawn('npm', args, {
                cwd: dir
            });
        }
        else {
            await util_1.default.asyncSpawn('npm', ['i'], {
                cwd: dir
            });
        }
    },
    async getInfo(pkg) {
        try {
            const { stdout } = await util_1.default.asyncExec(`npm view ${pkg} -json`);
            return JSON.parse(stdout);
        }
        catch (e) {
            if (e) { }
            return null;
        }
    }
};
