"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const fs = require("fs");
const mustache = require("mustache");
const path = require("path");
// @ts-ignore
const copy = require("recursive-copy");
const stringifyObject = require("stringify-object");
const through = require("through2");
let defaultTags = ['{{', '}}'];
const mustachesDir = path.resolve(__dirname, '../mustaches');
exports.default = {
    loadTemplate(template) {
        return fs.readFileSync(path.resolve(mustachesDir, `${template}.mustache`)).toString();
    },
    render(tpl, dataView, tags = defaultTags, partials = {}) {
        return mustache.render(tpl, dataView, partials, tags);
    },
    async renderTo(tpl, dataView, dest, options = {}, tags = defaultTags) {
        if (tpl === 'module') {
            dataView.obj = stringifyObject(dataView.obj, {
                indent: '  ',
                singleQuotes: true,
            });
        }
        await copy(path.resolve(mustachesDir, `${tpl}.mustache`), dest, Object.assign({}, options, { transform: () => {
                return through((chunk, _enc, done) => {
                    const output = this.render(chunk.toString(), dataView, tags);
                    done(null, output);
                });
            } }));
    },
    async renderDir(src, dataView, includes, dest, options = {}, tags = defaultTags) {
        await copy(src, dest, Object.assign({}, options, { transform: (src) => {
                return through((chunk, _enc, done) => {
                    if (includes.includes(path.extname(src))) {
                        const output = this.render(chunk.toString(), dataView, tags);
                        done(null, output);
                    }
                    else {
                        done(null, chunk);
                    }
                });
            } }));
    }
};
